/*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
.COPYRIGHT (c) 2001 - 2013 SRON (R.M.van.Hees@sron.nl)

   This is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License, version 2, as
   Free Software Foundation; either version 2.

   The software is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA  02111-1307, USA.

.IDENTifer   NADC_VERSION
.AUTHOR      R.M. van Hees
.KEYWORDS    NL_SCIA_DC software
.LANGUAGE    ANSI C
.PURPOSE     Returns the library version numbers through arguments.
.INPUT/OUTPUT
  call as   NADCget_Version( majnum, minnum, relnum, reldate );

     input:  
             unsigned int majnum :   major revision number
             unsigned int minnum :   minor revision number
             unsigned int relnum :   release revision number
	     char reldate[]      :   release date

.RETURNS     nothing
.COMMENTS    none
.ENVIRONment none
.VERSION     1.0     22-Aug-2001   Created by R. M. van Hees
------------------------------------------------------------*/
/*
 * Define _POSIX_SOURCE to indicate
 * that this is a POSIX program
 */
#define  _POSIX_C_SOURCE 2

/*+++++ System headers +++++*/
#include <string.h>

/*+++++ Local Headers +++++*/
#include <defs_nadc.h>
#include <version.h>

/*+++++++++++++++++++++++++ Main Program or Function +++++++++++++++*/
void NADCget_Version( unsigned int *majnum, unsigned int *minnum, 
		      unsigned int *relnum, char *reldate )
{
     if ( majnum ) *majnum = NADC_VERS_MAJOR;
     if ( minnum ) *minnum = NADC_VERS_MINOR;
     if ( relnum ) *relnum = NADC_VERS_RELEASE;
     if ( reldate ) 
	  (void) strlcpy( reldate, NADC_VERS_DATE, MAX_STRING_LENGTH );
}
